<nav class="navigation">
{{#forEach sections}}
  <hr>
  <ul section-id="{{@key}}" class="nav nav-list">
  {{#if title}}
    <h2 class="section-header show-state" state="{{sectionState}}">{{showDiff title title_diff}}</h2>
  {{else}}
    {{#if title_diff}}
      <h2 class="section-header show-state" state="{{sectionState}}">{{showDiff title title_diff}}</h2>
    {{/if}}
  {{/if}}

  {{#forEach tags}}
    <div tag-id="{{@key}}">
      {{#if title}}
        <li class="tag-header show-state nav-header" state="{{tagState}}">{{showDiff title title_diff}}</li>
      {{else}}
        {{#if title_diff}}
          <li class="tag-header show-state nav-header" state="{{tagState}}">{{showDiff title title_diff}}</li>
        {{/if}}
      {{/if}}

      {{#forEach articles}}
        <li article-id="{{@key}}">
          <a class="show-state article-ref" state="{{articleState}}" href="#{{@key}}{{#if version}};{{version}}{{/if}}">{{showDiff title title_diff}}</a>
        </li>
      {{/forEach}}
    </div>
  {{/forEach}}
  </ul>
{{/forEach}}
</nav>